> For the complete documentation index, see [llms.txt](https://docs.stryke.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stryke.xyz/developers/contracts/lp-management/mint-a-position.md).

# Mint a Position

[Contract Git Source](https://github.com/dopex-io/dopex-v2-clamm/blob/c47ed162e778d188e077b6b1874a8b5873e15c1d/src/DopexV2PositionManager.sol)

Mint a new position using the specified handler.

```solidity
function mintPosition(IHandler _handler, bytes calldata _mintPositionData)
    external
    onlyWhitelistedHandlers(_handler)
    nonReentrant
    returns (uint256 sharesMinted);
```

**Parameters**

| Name                | Type       | Description                             |
| ------------------- | ---------- | --------------------------------------- |
| `_handler`          | `IHandler` | The address of the handler to use.      |
| `_mintPositionData` | `bytes`    | The data required to mint the position. |

**Returns**

| Name           | Type      | Description                  |
| -------------- | --------- | ---------------------------- |
| `sharesMinted` | `uint256` | The number of shares minted. |

The \`\_mintPositionData\` parameter has to be constructed the following way:

```solidity
struct MintPositionParams {
    IUniswapV3Pool pool;
    address hook;
    int24 tickLower;
    int24 tickUpper;
    uint128 liquidity;
}

bytes memory _mintPositionParams = abi.encode(
    _params.pool,
    _params.hook,
    _params.tickLower,
    _params.tickUpper,
    _params.liquidity
);

// To decode:
MintPositionParams memory decodedParams = abi.decode(encodedData, (MintPositionParams));
```

### **MintPositionParams Struct**

| Field Name | Type           | Description                      |
| ---------- | -------------- | -------------------------------- |
| pool       | IUniswapV3Pool | The Uniswap V3 pool contract     |
| hook       | address        | The address of the hook contract |
| tickLower  | int24          | The lower tick of the position   |
| tickUpper  | int24          | The upper tick of the position   |
| liquidity  | uint128        | The amount of liquidity to mint  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stryke.xyz/developers/contracts/lp-management/mint-a-position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
